<template>
    <Page>
        <ActionBar title="Picture">
            <NavigationButton text="Go back" android.systemIcon="ic_menu_back" @tap="goBack()" />
        </ActionBar>
        <StackLayout>
            <Button text="Take Picture" @tap="takeNewPic()"></Button>
            <Image :src="picture" stretch="aspectFill" v-if="picture"/>
        </StackLayout>
    </Page>
</template>

<script>
import * as camera from "nativescript-camera";


var imageModule = require("tns-core-modules/ui/image");

export default {
    data() {
        return {
            picture: null
        }
    },
    methods: {
        takeNewPic() {
            camera.takePicture({saveToGallery: false}).then((data)=> {
                // var image = new imageModule.Image();
                // image.src = data;
                this.picture = data;
            });
        },
        goBack() {
            this.$navigateBack();
        },

    }
}
</script>

<style>
</style>
